searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `Kujira`.","ref":"Kujira.html","title":"Kujira","type":"module"},{"doc":"Documentation for `Kujira`.","ref":"Kujira.Contract.html","title":"Kujira.Contract","type":"module"},{"doc":"Queries the full, raw contract state at an address. It's highly recommended to memoize any calls to this function,\nand invalidate them in response to external events e.g. a matching tx in a node websocket subscription","ref":"Kujira.Contract.html#query_state_all/0","title":"Kujira.Contract.query_state_all/0","type":"function"},{"doc":"iex> Kujira.hello()\n    :world","ref":"Kujira.Contract.html#query_state_all/0-examples","title":"Examples - Kujira.Contract.query_state_all/0","type":"function"},{"doc":"","ref":"Kujira.Contract.html#query_state_smart/3","title":"Kujira.Contract.query_state_smart/3","type":"function"},{"doc":"","ref":"Kujira.Ghost.html","title":"Kujira.Ghost","type":"module"},{"doc":"","ref":"Kujira.Orca.html","title":"Kujira.Orca","type":"module"},{"doc":"Fetches the Queue contract and its current config from the chain","ref":"Kujira.Orca.html#get_queue/2","title":"Kujira.Orca.get_queue/2","type":"function"},{"doc":"Loads the current contract state into the Queue; the totals of each bid pool","ref":"Kujira.Orca.html#load_queue/2","title":"Kujira.Orca.load_queue/2","type":"function"},{"doc":"We define a Market, as far as Orca is concerned, in order to be able to standardise\nand aggregate the health of the various markets that any given liquidation queue can liquidate","ref":"Kujira.Orca.Market.html","title":"Kujira.Orca.Market","type":"module"},{"doc":"","ref":"Kujira.Orca.Market.html#t:t/0","title":"Kujira.Orca.Market.t/0","type":"type"},{"doc":"A pool of bid tokens at a specific premium %, for a specific Queue","ref":"Kujira.Orca.Pool.html","title":"Kujira.Orca.Pool","type":"module"},{"doc":"* `:premium` - The premium \"charged\" above the current market rate (ie the discount that the collateral is bought for)\n\n* `:total` - The total amount of activated bid token in the pool","ref":"Kujira.Orca.Pool.html#module-fields","title":"Fields - Kujira.Orca.Pool","type":"module"},{"doc":"","ref":"Kujira.Orca.Pool.html#calculate/2","title":"Kujira.Orca.Pool.calculate/2","type":"function"},{"doc":"","ref":"Kujira.Orca.Pool.html#load/2","title":"Kujira.Orca.Pool.load/2","type":"function"},{"doc":"","ref":"Kujira.Orca.Pool.html#t:t/0","title":"Kujira.Orca.Pool.t/0","type":"type"},{"doc":"An individual Orca Liquidation Queue","ref":"Kujira.Orca.Queue.html","title":"Kujira.Orca.Queue","type":"module"},{"doc":"* `:address` - The contract address\n\n* `:owner` - The account authorized to make changes to contract config\n\n* `:collateral_token` - The token that is being liquidated\n\n* `:bid_token` - The token that is used to buy the collateral\n\n* `:bid_pools` - The aggregate amounts of bids at each supported discount amount. The contract confug contains `max_slot` and `premium_rate_per_slot`, which define these pools\n\n* `:activation_threshold` - The total amount of bids, above which the activation_delay must pass before a bid can be activated. This is `bid_threshold` on the contract interfaace\n\n* `:activation_delay` - The time in seconds that must pass before a bid can be activated. This is `waiting_period` on the contract interface","ref":"Kujira.Orca.Queue.html#module-fields","title":"Fields - Kujira.Orca.Queue","type":"module"},{"doc":"","ref":"Kujira.Orca.Queue.html#from_config/2","title":"Kujira.Orca.Queue.from_config/2","type":"function"},{"doc":"","ref":"Kujira.Orca.Queue.html#load_pools/2","title":"Kujira.Orca.Queue.load_pools/2","type":"function"},{"doc":"","ref":"Kujira.Orca.Queue.html#populate_pools/3","title":"Kujira.Orca.Queue.populate_pools/3","type":"function"},{"doc":"","ref":"Kujira.Orca.Queue.html#t:t/0","title":"Kujira.Orca.Queue.t/0","type":"type"},{"doc":"","ref":"Kujira.Token.html","title":"Kujira.Token","type":"module"},{"doc":"","ref":"Kujira.Token.html#from_denom/1","title":"Kujira.Token.from_denom/1","type":"function"},{"doc":"","ref":"Kujira.Token.html#t:t/0","title":"Kujira.Token.t/0","type":"type"}]}